
%define module tornado
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{module}
Version:        6.2
Release:        %mkrel 1
Summary:        Scalable, non-blocking web server and tools
License:        ASL 2.0
Group:          Development/Python
URL:            http://www.tornadoweb.org

%description
Tornado is an open source version of the scalable, non-blocking web server and
and tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%package -n python3-%{module}
Summary:        Scalable, non-blocking web server and tools
Group:          Development/Python
Requires:       python3-pycurl
Requires:       rootcerts
BuildArch: noarch

%description -n python3-%{module}
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%prep
%build
%install
rm -rf %buildroot
mkdir -p %buildroot/%{_libdir}/python3.10/site-packages
pip3 install -t %buildroot/%{_libdir}/python3.10/site-packages %{module}

echo "rpm" >%buildroot/usr/lib64/python3.10/site-packages/%{module}-%{version}.dist-info/INSTALLER

%files -n python3-%{module}
%{python3_sitearch}/*

%changelog
* Thu Aug 18 2022 tex - 6.2-1pclos2022
- new version
- prefer already built version than compiling from source

* Thu Aug 18 2022 tex - 5.0.2-2pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 5.0.2-1pclos2018
- update

* Sun Mar 20 2016 bb <bb> 4.3-1pclos2016
- update
